Package org.opensaml.saml.saml2.profile.impl

# Class ValidateAssertions.DefaultAssertionResolver

java.lang.Object
org.opensaml.saml.saml2.profile.impl.ValidateAssertions.DefaultAssertionResolver

All Implemented Interfaces:
  `Function<ProfileRequestContext,List<Assertion>>`

Enclosing class:
  ValidateAssertions

public class ValidateAssertions.DefaultAssertionResolver extends Object implements Function<ProfileRequestContext,List<Assertion>>
The default assertion resolver function.

## Constructor Summary

Constructors
Constructor
Description
`DefaultAssertionResolver()`

## Method Summary

Modifier and Type
Method
Description
`List<Assertion>`
`apply(ProfileRequestContext profileContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### DefaultAssertionResolver

public DefaultAssertionResolver()

## Method Details

### apply

@Nullable @Unmodifiable @NotLive public List<Assertion> apply(@Nullable ProfileRequestContext profileContext)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,List<Assertion>>`